with Ada.Text_IO; use Ada.Text_IO;

package body Module.Text_File is


   procedure Start_Doc (Self : Object) is
   begin
      Create(File, Name => "test.txt");
      Ada.Text_IO.Put_Line(File, "Writer.Console.Start_Document");
   end Start_Doc;

   procedure End_Doc (Self : Object) is
   begin
      Ada.Text_IO.Put_Line(File, "Writer.Console.End_Document");
      Close(File);
   end End_Doc;

   procedure Characters (Self : Object; Ch : String) is
   begin
      Ada.Text_IO.Put_Line(File, "Writer.Console.Characters : "&Ch);
   end Characters;


   procedure Element (Self : Object; Name : String) is
   begin
      Ada.Text_IO.Put_Line(File, "=> Element : "&Name);
   end Element;

end Module.Text_File;

